- Qt 6.8
- Qt Quick
- QML Types
- QtQuick.Particles
- ParticlePainter
- Qt 6.8.3 Reference Documentation

# ParticlePainter QML Type

For specifying how to paint particles. More...

Import Statement: | `import QtQuick.Particles`
Inherits: | Item
Inherited By: | ImageParticle and ItemParticle

- List of all members, including inherited members

## Properties

- groups : list<string>
- system : ParticleSystem

## Detailed Description

The default implementation paints nothing. See the subclasses if you want to paint something visible.

## Property Documentation

groups : list<string>

Which logical particle groups will be painted.

If empty, it will paint the default particle group ("").

system : ParticleSystem

This is the system whose particles can be painted by the element. If the ParticlePainter is a direct child of a ParticleSystem, it will automatically be associated with it.